Bug 32889 - [i915g] SIGSEGV src/gallium/drivers/i915/i915_state_emit.c:414
Summary: [i915g] SIGSEGV src/gallium/drivers/i915/i915_state_emit.c:414
Status: CLOSED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/i915g (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium critical
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-06 18:34 UTC by Vinson Lee
Modified: 2011-03-07 21:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2011-01-06 18:34:49 UTC
mesa: 6d9ca78ef7bf831b9b63f4bda68623cbae627508 (master)

chipset: 945GM (Intel GMA 950)
system architecture: i686
xserver-xorg-video-intel: 2:2.12.0-1ubuntu5.1
libdrm-intel1: 2.4.21-1ubuntu2.1
kernel version: 2.6.35-24-generic
Linux distribution: Ubuntu 10.10 i386


Run piglit fbo-blit-d24s8 test.

$ ./bin/fbo-blit-d24s8 -auto
Segmentation fault (core dumped)

Program terminated with signal 11, Segmentation fault.
#0  0x01102b3b in i915_emit_hardware_state (i915=0x8a6e370) at src/gallium/drivers/i915/i915_state_emit.c:414
414	      struct i915_texture *tex = i915_texture(cbuf_surface->texture);
(gdb) bt
#0  0x01102b3b in i915_emit_hardware_state (i915=0x8a6e370) at src/gallium/drivers/i915/i915_state_emit.c:414
#1  0x010fe0e6 in i915_vbuf_render_draw_arrays (render=0x8a84788, start=0, nr=4) at src/gallium/drivers/i915/i915_prim_vbuf.c:516
#2  0x01194f9d in draw_pt_emit_linear (emit=0x8a6ad30, vert_info=0xbff42328, prim_info=0xbff4239c) at src/gallium/auxiliary/draw/draw_pt_emit.c:265
#3  0x0112fc82 in emit (emit=0x8a6ad30, vert_info=0xbff42328, prim_info=0xbff4239c) at src/gallium/auxiliary/draw/draw_pt_fetch_shade_pipeline.c:168
#4  0x01130023 in fetch_pipeline_generic (middle=0x8a6acc8, fetch_info=0x0, prim_info=0xbff4239c) at src/gallium/auxiliary/draw/draw_pt_fetch_shade_pipeline.c:286
#5  0x01130144 in fetch_pipeline_linear_run (middle=0x8a6acc8, start=0, count=4, prim_flags=0) at src/gallium/auxiliary/draw/draw_pt_fetch_shade_pipeline.c:345
#6  0x01135155 in vsplit_segment_simple_linear (vsplit=0x8a7ee30, flags=0, istart=0, icount=4) at src/gallium/auxiliary/draw/draw_pt_vsplit_tmp.h:229
#7  0x011354ee in vsplit_run_linear (frontend=0x8a7ee30, start=0, count=4) at src/gallium/auxiliary/draw/draw_split_tmp.h:61
#8  0x0112d494 in draw_pt_arrays (draw=0x8a69348, prim=6, start=0, count=4) at src/gallium/auxiliary/draw/draw_pt.c:113
#9  0x0112e049 in draw_vbo (draw=0x8a69348, info=0xbff425a4) at src/gallium/auxiliary/draw/draw_pt.c:481
#10 0x010fc5d3 in i915_draw_vbo (pipe=0x8a6e370, info=0xbff425a4) at src/gallium/drivers/i915/i915_context.c:81
#11 0x019d3690 in util_draw_arrays (pipe=0x8a6e370, mode=6, start=0, count=4) at src/gallium/auxiliary/util/u_draw.h:58
#12 0x019d3757 in util_draw_vertex_buffer (pipe=0x8a6e370, vbuf=0x8b17920, offset=0, prim_type=6, num_verts=4, num_attribs=2) at src/gallium/auxiliary/util/u_draw_quad.c:63
#13 0x01952f15 in draw_quad (st=0x8ad80a0, x0=-1, y0=-1, x1=1, y1=1, z=0.54321003, color=0x8a97324) at src/mesa/state_tracker/st_cb_clear.c:175
#14 0x019535be in clear_with_quad (ctx=0x8a96618, color=0 '\000', depth=2 '\002', stencil=4 '\004') at src/mesa/state_tracker/st_cb_clear.c:299
#15 0x01953cfd in st_Clear (ctx=0x8a96618, mask=48) at src/mesa/state_tracker/st_cb_clear.c:530
#16 0x018ddbb0 in _mesa_Clear (mask=1280) at src/mesa/main/clear.c:242
#17 0x0804b907 in run_test () at piglit/tests/fbo/fbo-blit-d24s8.c:179
#18 0x0804bce9 in piglit_display () at piglit/tests/fbo/fbo-blit-d24s8.c:242
#19 0x0804dce3 in display () at piglit/tests/util/piglit-framework.c:52
#20 0x002d2820 in fghRedrawWindow (window=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at freeglut_main.c:210
#21 fghcbDisplayWindow (window=DWARF-2 expression error: DW_OP_reg operations must be used either alone or in conjuction with DW_OP_piece or DW_OP_bit_piece.
) at freeglut_main.c:227
#22 0x002d6660 in fgEnumWindows (enumCallback=0x2d2790 <fghcbDisplayWindow>, enumerator=0xbff42948) at freeglut_structure.c:394
#23 0x002d2cdb in fghDisplayAll () at freeglut_main.c:249
#24 glutMainLoopEvent () at freeglut_main.c:1450
#25 0x002d3605 in glutMainLoop () at freeglut_main.c:1498
#26 0x0804de8c in main (argc=1, argv=0xbff42bd4) at piglit/tests/util/piglit-framework.c:118
(gdb) frame 0
#0  0x01102b3b in i915_emit_hardware_state (i915=0x8a6e370) at src/gallium/drivers/i915/i915_state_emit.c:414
414	      struct i915_texture *tex = i915_texture(cbuf_surface->texture);
(gdb) print cbuf_surface
$1 = (struct pipe_surface *) 0x0
Comment 1 Jakob Bornecrantz 2011-03-06 14:38:48 UTC
I think some of the work that Daniel has done should fix this crash.

Cheers Jakob.
Comment 2 Vinson Lee 2011-03-07 21:32:43 UTC
mesa: 81df01c016b93d6ec2a3a29bd8e3fe3f38bf5b42 (master)

Verified fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.